Subject: Re: [bmwg] Updated:draft-sdry-bmwg-mvpnscale-03.txt

From: Thomas Morin <[email-masked]>
Date: Thu, 06 Dec 2007 16:57:30 +0000

Hi Silvija, BMWG folks,

My apologizes for only sending my comments now.
I won't be able to attend bmwg meeting, but here are the general
comments I have after reading your updated proposal.

Having restructured the document in order to make it agnostic how mVPN
is designed, is definitely a good point, but I still have the concern
that the content itself is in many places still restricted to the
draft-rosen implementation. 

For instance:
- section 8.1 is supposedly generally applicable, but items 5,6, 7 only
apply to a deployment using PIM in the provider backbone 
- section 9 is also supposedly generally applicable, but the test
procedure common to 9.8, 9.9, 9.10 is described in terms only applicable
to the PIM LAN procedures case
- section 10.1 is supposedly specific to the case of PIM LAN procedures,
but could and should be made agnostic (writtent in terms of number of
VRFs per VPN instance, instead of "PIM neighbourships")
- section 11 could also be made agnostic to the type of PMSI used

I have also other concerns which I'll take the time to share later, but
the above are my primary concerns, and while I don't deny the effort
made, major changes to the doc are still required to make it independent
of the design process for mvpn standardization in the l3vpn working
group.

Thank you,

-Thomas

Silvija Andrijic Dry (sdry):
> We would like to solicit your feedback on the new version of MVPN
> scalability benchmarking proposal:
> http://www.ietf.org/internet-drafts/draft-sdry-bmwg-mvpnscale-03.txt
> 
> Note that in rev 03 we made couple of major changes based on feedback
> from IETF68, namely:
> - scope is modified to include both generic sections applicable to all
> MVPN architectures specified in "draft-ietf- l3vpn-2547bis-mcast" and
> sections specific to widely deployed "rosen-8" architecture 
> - metric is changed to be architecture agnostic
> - text is rewritten to address changed scope of the document
> 
> We are looking forward to the discussion in Vancouver. And for those of
> you that won't be able to attend the meeting we would greatly appreciate
> your comments sent to the mailing list.
> 
> Thanks,
> Authors
> 
> 
> 
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Friday, November 09, 2007 2:15 PM
> To: [email-masked]
> Subject: I-D ACTION:draft-sdry-bmwg-mvpnscale-03.txt 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> 
> 
> 	Title		: Multicast VPN Scalability Benchmarking
> 	Author(s)	: S. Dry, et al.
> 	Filename	: draft-sdry-bmwg-mvpnscale-03.txt
> 	Pages		: 44
> 	Date		: 2007-11-9
> 	
> Multicast VPN (MVPN) is a service deployed by VPN service providers 
>    to enable their customers to use IP multicast applications over VPNs.
> 
>    With the increased popularity the scalability of deploying such a 
>    service is becoming of a great interest. This document defines 
>    standard metric and test methodology for characterizing and comparing
> 
>    control plane MVPN scalability of Provider Edge (PE) devices that 
>    implement MVPN service.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-sdry-bmwg-mvpnscale-03.txt
> 
> To remove yourself from the I-D Announcement list, send a message to 
> [email-masked] with the word unsubscribe in the body of 
> the message. 
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
> to change your subscription settings.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the 
> username "anonymous" and a password of your e-mail address. After 
> logging in, type "cd internet-drafts" and then 
> "get draft-sdry-bmwg-mvpnscale-03.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-sdry-bmwg-mvpnscale-03.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail
> readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> _______________________________________________
> bmwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/bmwg

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg